> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 手動ビルドをトリガーする

> org の現在のブループリントを利用して、スナップショットのビルドを手動でトリガーします。

<div id="permissions">
  ## 権限
</div>

組織レベルの `ManageOrgSnapshots` 権限を持つサービスユーザーが必要です。

<div id="behavior">
  ## 動作
</div>

組織のスナップショットのビルドを手動でトリガーします。ビルドは非同期で実行されるため、進行状況を追跡するにはビルドステータスのエンドポイントをポーリングしてください。


## OpenAPI

````yaml ja/v3-openapi.yaml POST /v3beta1/organizations/{org_id}/snapshot-setup/builds
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds:
    post:
      tags:
        - snapshot_setup
      summary: 手動ビルドをトリガーする
      description: org の現在のブループリントを利用して、スナップショットのビルドを手動でトリガーします。
      operationId: >-
        trigger_org_build_v3beta1_organizations__org_id__snapshot_setup_builds_post
      parameters:
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerBuildBody'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Build'
          description: 成功レスポンス
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 認証されていません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: アクセスが拒否されました
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 見つかりません
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 競合
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: 処理できないコンテンツ
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: リクエストが多すぎます
components:
  schemas:
    TriggerBuildBody:
      description: '``POST /builds`` の本文。仕様上は空ですが、将来のフィールド用に予約されています。'
      properties: {}
      title: TriggerBuildBody
      type: object
    Build:
      description: >-
        公開 ``Build`` リソースの形式 — 「これはもう成功したか？」だけを示す不透明なビュー。


        仕様上、プラットフォーム/スナップショット/ジョブ単位の詳細は公開されません。今後の追加（``triggered_by_repo``、ビルドメタデータなど）は追加的です。
      properties:
        build_id:
          title: Build Id
          type: string
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
        created_at:
          title: Created At
          type: integer
        pinned:
          title: Pinned
          type: boolean
        started_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Started At
        status:
          enum:
            - pending
            - running
            - succeeded
            - failed
            - cancelled
          title: Status
          type: string
        trigger:
          anyOf:
            - enum:
                - manual
                - auto
              type: string
            - type: 'null'
          title: Trigger
        triggered_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggered By User Id
        updated_at:
          title: Updated At
          type: integer
      required:
        - build_id
        - status
        - trigger
        - triggered_by_user_id
        - pinned
        - started_at
        - completed_at
        - created_at
        - updated_at
      title: Build
      type: object
    ProblemDetail:
      description: >-
        v3 API 用の RFC 9457 application/problem+json エラーボディ。


        detail は後方互換性のため、レガシーな {"detail": ...}
        ボディから引き継がれます。その他のメンバーは追加式です。errors にはフィールドレベルのバリデーションエラーが含まれます（422
        の場合のみ）。
      properties:
        detail:
          anyOf:
            - type: string
            - type: 'null'
          description: この事象に固有の、人が読める説明。
          title: Detail
        errors:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          description: フィールド単位のバリデーションエラー（422 レスポンスのみ）。
          title: Errors
        instance:
          anyOf:
            - type: string
            - type: 'null'
          description: この発生箇所の URI 参照（リクエストパス）。
          title: Instance
        status:
          description: HTTP ステータスコード。
          title: Status
          type: integer
        title:
          description: 問題タイプを人が読める短い要約。
          title: Title
          type: string
        type:
          default: about:blank
          description: 問題タイプを識別する URI 参照。
          title: Type
          type: string
      required:
        - title
        - status
      title: ProblemDetail
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````